Subject: Re: [idn] The Business Card problem (was: Re: An experiment with UTF-8 domainnames)

From: Dan Oscarsson <[email-masked]>
Date: Wed, 10 Jan 2001 08:58:57 +0100 (MET)

>And I don't know how anyone not intimately familiar with a
>language (and knowing the language, not just the script in which
>it is written, can distinguish between an "accent" and a
>diacritical symbol that is actually part of the character-symbol.
>

I agree very much on that. Swedish have a 29 character latin alphabet.
It has all in the English alphabet and three more "åäö". Those
three are true characters, it is not an accented a or o.
But many who for example is used to just the English alphabet will
think they are an a or o with a ring or diaresis above.
On the other hand you can use accents in Swedish, for example "á", but
this does not make "åäö" accented characters.

-
If we would like to have an alternate form of domain name on business cards
that could be used in most countries, we could use something like this:
[email-masked]
where this is a number registered as equivalent with my normal
domain name. The number can be looked up through DNS and handled as
normal domains. The only difference is that the name is composed
of only digits (to be really portable) and is not related to the
characters in the normal domain name. And here you could even
change the spelling of the normal domain name and have the number version
remain the same. Why not give everybody in the world their own
domain name in the number format when they are born, to be theirs for life?

  Dan

---

From: John C Klensin <[email-masked]>
Date: Wed, 10 Jan 2001 04:39:09 -0500

--On Wednesday, 10 January, 2001 08:58 +0100 Dan Oscarsson
<[email-masked]> wrote:

> If we would like to have an alternate form of domain name on
> business cards that could be used in most countries, we could
> use something like this: [email-masked]
> domain name. The number can be looked up through DNS and
> handled as normal domains. The only difference is that the
> name is composed of only digits (to be really portable) and is
> not related to the characters in the normal domain name. And
> here you could even change the spelling of the normal domain
> name and have the number version remain the same. 

This is, of course, a slight variation on the argument that has
been made to ICANN for supplementing the "normal" DNS with a
system based on telephone numbers but with mappings paralleling
normal DNS records rather than telephony ones (e.g., to A, MX,
and NS RRs, not to NAPTR ones).

> Why not give
> everybody in the world their own domain name in the number
> format when they are born, to be theirs for life?

Besides the privacy outcry it would cause in some countries? :-(

    john